Bug 1271581 - available bluetooth devices should be listed in connection wizard
Summary: available bluetooth devices should be listed in connection wizard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: beta
: 7.3
Assignee: Rashid Khan
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1301628 1313485
TreeView+ depends on / blocked
 
Reported: 2015-10-14 10:42 UTC by Vladimir Benes
Modified: 2016-11-03 19:18 UTC (History)
5 users (show)

Fixed In Version: network-manager-applet-1.2.0-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:18:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2015-10-14 10:42:10 UTC
Description of problem:
when adding both DUN and PAN connections via nm-connection-editor there are no available devices listed in Bluetooth tab. There should be similar menu as in ethernet area. 

Version-Release number of selected component (if applicable):
network-manager-applet-1.0.6-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.add a bluetooth connection via nm-connection-editor (click through APN wizard in DUN case)
2.go to Bluetooth tab
3.fill in device address

Actual results:
no list available, you have to go to control-center and to see mac address of the device (graphical style)

Expected results:
should be visible from nm-connection-editor

Additional info:

Comment 1 Jirka Klimes 2015-12-17 12:19:56 UTC
Implemented and posted a patch upstream:
https://git.gnome.org/browse/network-manager-applet/log/?h=editor-bluetooth-rh1271581

Comment 2 Thomas Haller 2015-12-18 11:49:42 UTC
(In reply to Jirka Klimes from comment #1)
> Implemented and posted a patch upstream:
> https://git.gnome.org/browse/network-manager-applet/log/?h=editor-bluetooth-
> rh1271581

LGTM

Comment 3 Dan Williams 2015-12-18 21:15:54 UTC
I pushed a small fixup to print the BT device's name instead of its MAC address twice.  Can you double-check that it builds on git master?

Also pushed dcbw/nma10-editor-bluetooth-rh1271581 that backports it to nma-1-0 branch along with my fixup.

Otherwise LGTM!

Comment 4 Jirka Klimes 2015-12-21 11:27:55 UTC
(In reply to Dan Williams from comment #3)
> I pushed a small fixup to print the BT device's name instead of its MAC
> address twice.  Can you double-check that it builds on git master?
> 
I have squashed the commit, thanks. But I had to also update the code for getting and verifying the address. It did not work for Bluetooth name which is probably why I didn't use the name before.

> Also pushed dcbw/nma10-editor-bluetooth-rh1271581 that backports it to
> nma-1-0 branch along with my fixup.
> 
Used the branch, squashed my updates and merged.

> Otherwise LGTM!

master: 7444686 editor: populate available Bluetooth devices in Bluetooth page (rh #1271581)
nma-1-0: 90017ad editor: populate available Bluetooth devices in Bluetooth page (rh #1271581)

Comment 5 Mike McCune 2016-03-28 23:29:09 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Vladimir Benes 2016-09-27 12:02:03 UTC
I can see connection and mac address of paired device in nm-connection-editor

Comment 9 errata-xmlrpc 2016-11-03 19:18:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.